List the user's connected wallets for an offer option
curl --request GET \
--url https://api.coinlist.co/v1/offers/{offer_id}/addresses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.coinlist.co/v1/offers/{offer_id}/addresses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.coinlist.co/v1/offers/{offer_id}/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"address": "<string>",
"created_at": "2025-01-01T00:00:00.000000Z",
"id": "05edea81-98a7-4582-aa7c-040d57cb1858",
"offer_option_id": "05edea81-98a7-4582-aa7c-040d57cb1858",
"protocol": "ethereum"
}
],
"object": "list",
"starting_after": "g3QAAAA...",
"starting_before": "g3QAAAA..."
}{
"message": "<string>",
"type": "api_error",
"code": "<string>",
"errors": {},
"event_id": "<string>"
}Offers
List the user's connected wallets for an offer option
GET
/
v1
/
offers
/
{offer_id}
/
addresses
List the user's connected wallets for an offer option
Authorizations
OAuth 2.0 authorization and token endpoints
Path Parameters
The ID of the offer
Query Parameters
The ID of the offer option
Response
Successful response.
Show child attributes
Show child attributes
String representing the object's type. Objects of the same type share the same value.
Available options:
list String representing the page cursor to used for querying the next page.
Example:
"g3QAAAA..."
String representing the page cursor to used for querying the previous page.
Example:
"g3QAAAA..."